clear variables;
DirName1=['../../Fig1/Fig1b'];
DirName0=pwd;
OutDir='../..';

eigvec=dlmread([OutDir,'/vector_PCA.txt']);

%%
ProjNam='Wtot_paraset1'; Wtotlist1=60:5:115;

numd=1; Nlis=[2823:2824]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot60_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2807:2808]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot65_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[1001:1003]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot70_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=4; Nlis=[2809:2810]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot75_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[82:84]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot80_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=6; Nlis=[2811:2812]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot85_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[995:997]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot90_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=8; Nlis=[2813:2814]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot95_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=9; Nlis=[1007:1009]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot100_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=10; Nlis=[2815:2816]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot105_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=11; Nlis=[1013:1015]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot110_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=12; Nlis=[2817:2818]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot115_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec1=eigvec'*Fvec1';

%%
ProjNam='Wtot_paraset2'; Wtotlist2=50:5:115;

numd=1; Nlis=[2819:2820]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot50_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2821:2822]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot55_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[2791:2792]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot60_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=4; Nlis=[2799:2800]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot65_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[2793:2794]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot70_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=6; Nlis=[2801:2802]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot75_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[2795:2796]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot80_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=8; Nlis=[2803:2804]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot85_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=9; Nlis=[2797:2798]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot90_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=10; Nlis=[2805:2806]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot95_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=11; Nlis=[2925:2926]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot100_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=12; Nlis=[2927:2928]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot105_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=13; Nlis=[2929:2930]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot110_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=14; Nlis=[2931:2932]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot115_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec2=eigvec'*Fvec2';

%%
ProjNam='Wtot_paraset3'; Wtotlist3=65:5:130;

numd=1; Nlis=[2881:2882]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot65_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2883:2884]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot70_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[2885:2886]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot75_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=4; Nlis=[2887:2888]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot80_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[2889:2890]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot85_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=6; Nlis=[2891:2892]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot90_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[2893:2894]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot95_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=8; Nlis=[2895:2896]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot100_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=9; Nlis=[2897:2898]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot105_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=10; Nlis=[2899:2900]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot110_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=11; Nlis=[2933:2934]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot115_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=12; Nlis=[2935:2936]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot120_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=13; Nlis=[2937:2938]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot125_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=14; Nlis=[2939:2940]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/Wtot130_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec3=eigvec'*Fvec3';

%%
ProjNam1='Dicty_WTStarved'; Nmax1=19;
for ii=1:Nmax1
    JDictyStarved(ii,:)=mean(dlmread([DirName1,'/',ProjNam1,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam2='HL60_WT'; Nmax2=23;
for ii=1:Nmax2
    JHL60_WT(ii,:)=mean(dlmread([DirName1,'/',ProjNam2,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam3='Keratocyte'; Nmax3=12;
for ii=1:Nmax3
    JKeratocyte(ii,:)=mean(dlmread([DirName1,'/',ProjNam3,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

JDic7=eigvec'*JDictyStarved';
JHL60=eigvec'*JHL60_WT';
JKera=eigvec'*JKeratocyte';

%%
figure,
plot(JDic7(1,:)',JDic7(2,:)','+','LineWidth',8,'Color',[25 169 72]/255);
hold on;
plot(JHL60(1,:)',JHL60(2,:)','+','LineWidth',8,'Color',[152 0 46]/255);
plot(JKera(1,:)',JKera(2,:)','+','LineWidth',8,'Color',[236 240 39]/255);
plot(Jvec1(1,:)',Jvec1(2,:)','o-','LineWidth',3,'Color','k');
plot(Jvec2(1,:)',Jvec2(2,:)','o-','LineWidth',3,'Color','b');
plot(Jvec3(1,:)',Jvec3(2,:)','o-','LineWidth',3,'Color','m');
hold off;
set(gca,'FontSize',17);
fig = gcf;
fig.Color = 'white';
fig.InvertHardcopy = 'off';
xlim([-15e4 8e4]); ylim([-5e4 12e4]); 
saveas(gcf,['./Fig2e'],'epsc');
F=getframe(gcf);
imwrite(uint8(F.cdata),['./Fig2e.png'],'png');
